package scaninfo

type ServiceScanInfo interface {
	SetHistory(history string)
	GetPort() string
	GetIP() string
}

type ScanInfoImpl struct {
	Ip   string
	Port string
}

func (s *ScanInfoImpl) SetHistory(history string) {}
func (s *ScanInfoImpl) GetPort() string           { return s.Port }
func (s *ScanInfoImpl) GetIP() string             { return s.Ip }

func NewScanInfoImpl(ip string, port string) *ScanInfoImpl {
	return &ScanInfoImpl{Ip: ip, Port: port}
}
